curl --request POST \
--url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.updateSandboxSettings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"topics": [
"<string>"
],
"repo": "<string>",
"vcpus": 2,
"memory": 2,
"disk": 4,
"readme": "<string>",
"secrets": [
{
"name": "<string>",
"value": "<string>",
"sandboxId": "<string>"
}
],
"variables": [
"<unknown>"
],
"volumes": [
{
"name": "<string>",
"sandboxId": "<string>",
"path": "<string>",
"readOnly": true
}
]
}
'{
"error": "<string>",
"message": "<string>"
}curl --request POST \
--url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.updateSandboxSettings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"topics": [
"<string>"
],
"repo": "<string>",
"vcpus": 2,
"memory": 2,
"disk": 4,
"readme": "<string>",
"secrets": [
{
"name": "<string>",
"value": "<string>",
"sandboxId": "<string>"
}
],
"variables": [
"<unknown>"
],
"volumes": [
{
"name": "<string>",
"sandboxId": "<string>",
"path": "<string>",
"readOnly": true
}
]
}
'{
"error": "<string>",
"message": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The name of the sandbox
1A description for the sandbox
50A git repository URL to clone into the sandbox, e.g. a GitHub/Tangled repo.
x >= 1x >= 1x >= 3A URI to a README for the sandbox.
Show child attributes
Show child attributes
Show child attributes
OK
Was this page helpful?